org.apache.tools.ant.taskdefs

## Class Zip.WhenEmpty

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.Zip.WhenEmpty

- Enclosing class:
    Zip

      public static class Zip.WhenEmpty
      extends EnumeratedAttribute

  Possible behaviors when there are no matching files for the task: "fail", "skip", or "create".

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WhenEmpty()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getValues()` The string values for the enumerated value

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WhenEmpty

          public WhenEmpty()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      The string values for the enumerated value
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        the values